Skip to main content
Use the Direct Debits endpoints to view and cancel Direct Debit mandates on your budgets.

List all Direct Debits

GET /v2/direct-debits
Use this endpoint to retrieve a list of all Direct Debits across one or more budgets on an account.

Query parameters

accountId
string
required
The ID of the account.
budgetIds
string
Filter by one or more budget IDs. Accepts a comma-separated string or multiple parameters. If omitted, returns Direct Debits for all budgets on the account.
Search term to filter Direct Debits.
limit
number
The maximum number of results to return. Default: 100.
offset
number
The number of results to skip. Default: 0.

Sample request

curl -i -X GET \
  'https://api.equalsmoney.com/v2/direct-debits?accountId=F12345&budgetIds=4db84122-9c4e-4607-98f7-84b2bbe02daf,82920c13-a88c-4e3f-b24d-1ae88e47e171' \
  -H 'Authorization: ApiKey {apiKey}'

Sample response

{
  "count": 2,
  "limit": 100,
  "offset": 0,
  "rows": [
    {
      "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
      "budgetId": "4db84122-9c4e-4607-98f7-84b2bbe02daf",
      "reference": "NETFLIXSUB123",
      "status": "ACTIVE",
      "originator": {
        "id": "123456",
        "accountName": "Netflix International",
        "address": {
          "addressType": "ADDR",
          "addressLine": "100 Winchester Circle",
          "city": "Los Gatos",
          "postcode": "95032",
          "countryCode": "US"
        }
      },
      "createdAt": "2024-01-15T10:30:00Z"
    }
  ]
}

Get a Direct Debit

GET /v2/budgets/{budgetId}/direct-debits/{directDebitId}
Use this endpoint to retrieve details about a specific Direct Debit.

Path parameters

budgetId
string
required
The ID of the budget.
directDebitId
string
required
The ID of the Direct Debit.

Query parameters

accountId
string
required
The ID of the account.

Sample request

curl -i -X GET \
  'https://api.equalsmoney.com/v2/budgets/4db84122-9c4e-4607-98f7-84b2bbe02daf/direct-debits/a1b2c3d4-e5f6-7890-abcd-ef1234567890?accountId=F12345' \
  -H 'Authorization: ApiKey {apiKey}'

Sample response

{
  "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
  "budgetId": "4db84122-9c4e-4607-98f7-84b2bbe02daf",
  "reference": "NETFLIXSUB123",
  "status": "ACTIVE",
  "originator": {
    "id": "123456",
    "accountName": "Netflix International",
    "address": {
      "addressType": "ADDR",
      "addressLine": "100 Winchester Circle",
      "city": "Los Gatos",
      "postcode": "95032",
      "countryCode": "US"
    }
  },
  "createdAt": "2024-01-15T10:30:00Z"
}
To view all transactions associated with a Direct Debit, use the GET /activity endpoint with a filter. See the Transactions API reference.

Cancel a Direct Debit

Cancelling a Direct Debit is permanent and cannot be undone. Once cancelled, the originator will no longer be able to collect payments from this mandate. Please note that cancelling a Direct Debit without informing the originator may place you in breach of their terms and conditions.Cancel at least 1 working day before the next processing date. If you cancel later than this, the next payment request may still be processed.
POST /v2/budgets/{budgetId}/direct-debits/{directDebitId}/cancel
Use this endpoint to cancel a Direct Debit mandate.

Path parameters

budgetId
string
required
The ID of the budget.
directDebitId
string
required
The ID of the Direct Debit.

Query parameters

accountId
string
required
The ID of the account.

Sample request

curl -i -X POST \
  'https://api.equalsmoney.com/v2/budgets/4db84122-9c4e-4607-98f7-84b2bbe02daf/direct-debits/a1b2c3d4-e5f6-7890-abcd-ef1234567890/cancel?accountId=F12345' \
  -H 'Authorization: ApiKey {apiKey}'

Sample response

{
  "id": "e8f1ef68-2957-4fb1-ba8c-b1931c3754e2",
  "budgetId": "82920c13-a88c-4e3f-b24d-1ae88e47e171",
  "reference": "TEST pro12",
  "status": "CANCELLED",
  "originator": {
    "id": "123457",
    "accountName": "Netflix Inc",
    "address": {
      "addressType": "ADDR",
      "addressLine": "Times street",
      "city": "London",
      "postcode": "EC4V 3BJ",
      "countryCode": "GB"
    }
  },
  "createdAt": "2026-01-26T10:56:26.600Z"
}